## ubuntu-make 15.08

=== requirements.txt ===
# runtime requirements
argcomplete
beautifulsoup4
pyyaml
pyxdg
requests
-e bzr+lp:python-apt/@0.9.3.5#egg=apt

# test tools
nose
nose-cov
nose-json
pep8
pexpect

## ubuntu-make 0.6.2

=== debian/changelog ===
ubuntu-make (0.6.2) vivid; urgency=medium

  * New translations:
    - Greek, Indonesian
  * Updated translations:
    - German, Spanish, French

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 02 Apr 2015 09:56:30 +0200

ubuntu-make (0.6.1) vivid; urgency=medium

  * Set dart-editor as the command to install the editor and adapt the tests
    to this
  * Fix some strings not marked for translations
  * Print help for category with no default framework
  * Fix get binary depends with empty starting line in debian/control
  * Add missing tests deps in debian/tests/control

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 12 Mar 2015 08:14:02 +0100

ubuntu-make (0.6) vivid; urgency=medium

  * New IDEs support and various cleanups by Anton Antonov:
    - rubymine
    - pycharm educational
    - pycharm professional
    - webstorm
    - phpstorm
  * All of those covered by medium and large tests
  * Add zsh support + tests (thanks Anton Antonov again)
  * Various small code enhancements

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 18 Feb 2015 09:47:08 +0100

ubuntu-make (0.5) vivid; urgency=medium

  * Add Idea Ultimate support, thanks to Tin Tvrtković.
  * Add Android NDK support.
  * Add Dartlang support.
  * Add Firefox Developer Edition support.
  * Get new ftp download support as Intellij downloads can redirect to ftp
    download based on location. Thank to Tin Tvrtković.
  * Refresh de and es translations. Thanks to all contributors!
  * Rationalize what is up for translations and refresh i18n templates
    for new strings.
  * Fix some is_installed() detection.
  * Workaround a glib issue when some Unity launcher icon doesn't appear.
  * Some tests enhancements, cleanups and fixes.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 12 Feb 2015 10:48:20 +0100

ubuntu-make (0.4.1) vivid; urgency=medium

  * Fix for Intellij IDEA download page, thanks to Tin Tvrtković.
  * Add jayatana dependency for ides based on intellij so that even
    older releases than vivid get appmenu support.
  * Some misc test and docker container fixes.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Jan 2015 09:00:45 +0100

ubuntu-make (0.4) vivid; urgency=medium

  * Add go support from the golang google compiler
  * Add a game category with stencyl support
  * Refactor and add some tests for those

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 06 Jan 2015 10:49:58 +0100

ubuntu-make (0.3) vivid; urgency=medium

  * New release featuring intellij IDEA and Pycharm support (from jetbrain)
    in their community edition. Thanks to Tin Tvrtković for this work. They
    both are covered by new tests.
  * Add dependency on beautifulsoup for easier html parsing by Tin Tvrtković.
  * Ensure we download Android Studio over https.
  * Miscellaneous medium tests fixes.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 16 Dec 2014 09:33:21 +0100

ubuntu-make (0.2) vivid; urgency=medium

  * Releasing under new name: ubuntu-make. Handle transition by shipping
    a temporary binary under the older name (udtc). New command is umake.
    Note as well that the new framework environment variable is
    UMAKE_FRAMEWORKS.
  * Provide compatibility binary (udtc) for now in the transitional package.
    Also move previous configuration file location to the new one.
  * Update Standards-Version
  * Fix Android Studio installation, now that it reached 1.0 milestone.
  * Removing Android Eclipse (adt) from Ubuntu Make: upstream doesn't provide
    any bundle anymore as this tools is deprecated in favor of Android Studio.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 09 Dec 2014 08:23:33 +0100

ubuntu-developer-tools-center (0.1.1-0ubuntu1) vivid; urgency=medium

  * Bug-fix release as Google changed their android-studio checksum from
    md5sum to sha1sum. Implementing sha1sum largely thanks to Tin Tvrtković
    work!
  * Adapt tests + new tests for sha1sum.
  * Note that the new Android Studio doesn't ship the sdk with it anymore.
    You need to download it manually and set the path to it. Will try to
    get in touch with the android studio developer team for this.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 04 Nov 2014 09:55:41 +0100

ubuntu-developer-tools-center (0.1-0ubuntu1) vivid; urgency=medium

  * Add eclipse support as a standalone IDE. Usage is: udtc ide eclipse. Thanks
    to Tin Tvrtković for his excellent work and tests implementation.
  * Add android adt support (through eclipse). Usage is:
    udtc android eclipse-adt. Added tests for it as well
  * adb and other android tools are now added to user path while installing an
    android framework
  * Support removal of framework. If you installed a framework and want to
    remove it, just use: udtc android android-studio --remove
  * Numerous typo fixes thanks to Igor Vuk
  * Enable loading of local framework. They are controlled by UDTC_FRAMEWORKS
    env variable which can point to any path containing local frameworks
  * Support reinstallation in different folder than the origin one, cleaning
    the original directory.
  * DownloadCenter now support redirections. Thanks Tin Tvrtković for this
    work
  * Add support for decompressing zip files in Decompressor
  * New and refresh translations: de, en_AU, en_CA, en_GB, es, eu, fr, hr, it,
    pl, ru, te, zh_CN, zh_HK. Thanks to all translators for their hard work!
  * Improve i18n support
  * Protect against mistyping with multiple frameworks
  * Framework support refactoring to avoid code duplication
  * Tests fixes and refactoring for better scalability
  * Fix logging support during test runs
  * Reshape docker files to have fewer layers
  * Don't raise any Exception for unexpected CLI args

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 29 Oct 2014 10:21:01 +0100

ubuntu-developer-tools-center (0.0.5) utopic; urgency=medium

  * Addition for the test jenkins server:
    - Add helper to display binary depends
    - Output xml tests and coverage report
    - Add xunit artefacts support in runtests


=== debian/control ===
Source: ubuntu-make
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               gettext,
               python3-all,
               python3-apt,
               python3-argcomplete,
               python3-bs4,
               python3-gi,
               python3-setuptools,
               python3-nose,
               python3-nose-cov,
               python3-nose-json,
               python3-pep8,
               python3-pexpect,
               python3-progressbar,
               python3-yaml,
               python3-requests,
               python3-xdg,
               dbus-x11,
               fakeroot,
Maintainer: Didier Roche <didrocks@ubuntu.com>
Standards-Version: 3.9.6
X-Python3-Version: >= 3.4
XS-Testsuite: autopkgtest

Package: ubuntu-make
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-apt,
         python3-argcomplete,
         python3-bs4,
         python3-gi,
         python3-pexpect,
         python3-progressbar,
         python3-yaml,
         python3-requests,
         python3-xdg,
Description: setup your development environment on ubuntu easily
 Ubuntu Make provides a set of functionality to setup,
 maintain and personalize your developer environment easily. It will handle
 all dependencies, even those which aren't in Ubuntu itself, and install
 latest versions of the desired and recommended tools.
 .
 For now, you can configure a complete android studio environment.

Package: ubuntu-developer-tools-center
Architecture: all
Section: oldlibs
Priority: extra
Depends: ubuntu-make, ${misc:Depends}, ${python3:Depends}
Description: transitional dummy package
 This is a transitional dummy package only providing previous udtc binary
 instead of umake. It can safely be removed.

## ubuntu-make 15.08

=== debian/changelog ===
ubuntu-make (15.08) wily; urgency=medium

  * Add scala support and add related medium and large tests. (Igor Vuk)
  * Fix Visual Studio Code download URL as VSCode updated their download
    mechanism on their website. (Vartan Simonian)
  * Fix progress bar out of range exception. (Anton Antonov)
  * Change medium VSC assets to match new download page.
  * Do some pep8 fixes triggered by new pep8 version.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 13 Aug 2015 07:43:12 +0200

ubuntu-make (0.9.2) wily; urgency=medium

  * Enable language selection in firefox developer tools
    (thanks to Omer Sheikh):
    - Now the installation of firefox developer tools enable to choose
      interactively one of the available language (default being US).
    - add a --lang= parameter to switch to another language in non interactive
      mode.
    - additional tests and mocks for the new options and capability
  * Prevent double error logging when a TextWithChoice doesn't get the correct
    user's input. Adapt tests to it.
  * Fix a double empty [] when no shortcut is present.
  * Updated README to improve readability. Moved to more passive language.
    (thanks Brian P. Sizemore)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 04 Aug 2015 09:06:57 +0200

ubuntu-make (0.9.1) wily; urgency=medium

  * Change test to prevent FTBFS with 3.5: assert_has_calls()
  * Print whole process output before getting the pexpect exception
    to get more info when a medium or large test is failing

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 24 Jul 2015 11:59:57 +0200

ubuntu-make (0.9.0) wily; urgency=medium

  * Force depending only on default python3 for the current ubuntu version.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 21 Jul 2015 10:21:29 +0200

ubuntu-make (0.9) wily; urgency=medium

  * New arduino support. Thanks to Tin Tvrtković to have provided most of the
    work.
  * Fix parsing for Visual Studio Code 32 bits as upstream page changed.
  * Deprecate Dart Editor framework (marked for remove only) and add Dart SDK
    new framework as per Dart 1.11, the Editor is not supported anymore.
  * Added or adapt tests for those new cases.
  * Refresh and add helpers to large and medium tests to factorize them much
    more and aligning information we check from the .desktop files (exec and
    icon paths).
  * Remove tests data from umake runtime.
  * Some test cleanups and mock refresh (android studio, Visual Studio Code,
    Android NDK).

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 21 Jul 2015 09:34:45 +0200

ubuntu-make (0.8.2) wily; urgency=medium

  * Fix Visual Studio Code support due to new upstream archive layout and
    web page content.
  * Add support for 32 bits installation of VSC as now supported upstream.
  * Refresh and adapt large and medium tests to reflect those changes.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Jun 2015 09:41:49 +0200

ubuntu-make (0.8.1) wily; urgency=medium

  * Match Android NDK with new download URL.
  * Adapt medium test accordingly.
  * Fix one failing Android large test.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 08 Jun 2015 08:59:30 +0200

ubuntu-make (0.8) wily; urgency=medium

  * Fix icon name that changed in Android Studio 1.2. Thanks Mark Trolley for
    this contribution!
  * Add tests to ensure that we are checking icon file name for android
    frameworks as well.
  * Rewrite the access in tests for icons and executables to read directly from
    the optional installed desktop file. Keep a way to override it for
    frameworks without desktop file.
  * Ensure we can remove deprecated frameworks. They only appear in shell
    completion and --help only if you had them installed. Prevent any
    reinstallation but only get a removal option.
  * Addition of a full non interactive installation mode.
  * Add tests for all those new features and fix some previous failing tests.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 07 May 2015 11:13:09 +0200

ubuntu-make (0.7) vivid; urgency=medium

  * Add Visual Studio Code support (under the "web" category)
  * Fix an error message printing for the eclipse framework if the server
    doesn't return a success code

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 30 Apr 2015 13:06:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                gettext,
-               python3-all,
+               python3,
                python3-apt,
                python3-argcomplete,
                python3-bs4,

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild --fail-missing

override_dh_auto_test:
	./runtests pep8 small

=== debian/tests/control ===
Tests: all
# the jquery dependencies are recommends of python3-coverage to generate the html reports
Depends: @, docker.io, sshpass, fakeroot, eatmydata, python3-bs4, python3-nose, python3-nose-cov, python3-nose-json, python3-pep8, python3-pexpect, python3-yaml, libjs-jquery-hotkeys, libjs-jquery-isonscreen, libjs-jquery-tablesorter, libjs-jquery
Restrictions: rw-build-tree isolation-machine, allow-stderr

## ubuntu-make 16.02.1

=== debian/changelog ===
ubuntu-make (16.02.1) xenial; urgency=medium

  [ Galileo Sartor ]
  [ Didier Roche ]
  * Fix Visual Studio Code to use permanent links as the website changed.
    Adapt tests to it.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Feb 2016 09:43:20 +0100

ubuntu-make (16.02) xenial; urgency=medium

  [ Galileo Sartor ]
  * Add Nodejs support with always latest node and npm now available!
  * Add Lighttable IDE support.
  * Create symlinks in a bin/ directory which is now added to user's PATH
    for each .desktop file created. That way, people can run their app
    from the command line as well.
  * All of those covered by small medium and large tests.

  [ Patricio Pérez ]
  * Add Spring Tools Suite and its testsuite.

  [ Omer Sheikh ]
  * Add JetBrains Datagrip with tests
  * Add python-gnupg to requirements.txt.

  [ Didier Roche ]
  * Disable Visual Studio Code installation for now. Adapt tests for that
    change.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 09 Feb 2016 08:47:49 +0100

ubuntu-make (16.01.2) xenial; urgency=medium

  [ Galileo Sartor ]
  * Add swift lang support with according tests.
  * Add support for Eclipse php with tests.
  * Add support for Eclipse cpp with tests.

  [ Evan McIntire ]
  * dd manpage that is generated from the --help text.

  [ Didier Roche ]
  * Fix, and implements some testing for Swift, Eclipse php and cpp.
  * Add gpg key support so that we can mock and add it to frameworks,
    working around some uid != euid limitations.
  * Compile local python file under current user name in tests.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 20 Jan 2016 17:38:39 -0800

ubuntu-make (16.01.1) xenial; urgency=medium

  * Fix Go support as of 1.5.3, they now publishes a sha256 instead of a sha1
    checksum.
  * Adapt tests to it.
  * A lot of work on tests:
    - add local/vm/remote args to runtests to easily run tests in locally,
      in an adt environment or remotely on the official infrastructure.
    - minimizing autopkgtests installation
    - docker fixes with proxy for medium tests
    - ensure we run with a dummy xorg driver
    - ensure compiz is running before running large and custom tests
    - fix TESTS=all triggering custom tests
    - fix not installing ubuntu-make package itself for git tests

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 14 Jan 2016 12:26:52 +0100

ubuntu-make (16.01) xenial; urgency=medium

  [ Galileo Sartor ]
  * Always deliver the latest Unity3D version (beta) to our users.
  * Ensure we always download latest available eclipse java IDE version. This
    enables users to now get eclipse Mars from Ubuntu Make!

  [ Didier Roche ]
  * Enable setting up Firefox Dev as default browser.
  * Move Visual Studio Code to IDE category. Keep it still on the web category
    for backward compatiblity. Adapts tests to ensure both category works
    (with a warning on the web one).
  * Move the testing infrastructure from jenkins to ubuntu autopkgtests:
    - create pep8/small/medium/large/all targets to mimic runautopkgtests
      behavior.
    - add a setup test bed, installing an ubuntu-desktop image, grabbing
      git branch or system package and generating stats info.
    - add another collecting coverage test to generate and copy stats
      to artefacts directory.
    - a custom target is triggered when one or more specific tests are desired
      like --env="TESTS=tests/small/<foo>.py
      tests.small.foo:TestClass:test_bar".
    - all those tests are handled by a TESTS env variable. If not set, we run
      pep8 and small tests.
    - creating utils and scripts to factorize most of the logic.
  * Protect against invalid tar archive that can be opened but not fully
    extracted.
  * Remove libxp6 dep from Stencyl as optional and not available from wily.
  * Install test dependencies from package and autopkgtests list.
    Use that logic in both autopkgtest infra and jenkins.
  * Make test_install_progress more robust as apt 1.1.5 changed its update
    signaling behavior.
  * Add in baseinstaller some way to only match last link when parsing.
  * Rework foreign architecture addition and detection to ensure we only
    call it once (we were calling them once per package previously), fix some
    races in cache handling. Move this facility to tools and restructure tests
     for this, while adding some more.
  * Add locks to avoid a race condition when creating temp file (to not create
    them as root) and add a new contextwrapper for as_root() with its tests.
  * Drop sshpass in favor of ssh key for docker image connection.
  * Some misc fixes:
    - Change some error messages and making them localizable.
    - fix an issue to avoid nested fakeroot calls.
    - Ensure we always kill children process and not the wrapper in container.
    - Add a fallback when os.getlogin() returns transient errors.
    - Normalize end of line tests comparaison.
    - Fix some possible failure when issuing a progressbar update.
    - Restructure, decouple and grab additional mocks for tests
    - Restore properly the initial environment in test_settings to avoid env
      leaks bugs.
    - Import cleanups.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 12 Jan 2016 09:39:08 +0100

ubuntu-make (15.12.1) xenial; urgency=medium

  [ Eldar Khayrullin ]
  * Update Unity3D link to latest

  [ Didier Roche ]
  * Fix rust for their latest release as they changed rustlib directory
  * Adapt rust medium assets
  * Fix medium tests by changing unity server host
  * Some tidy up on BeautifulSoup latest release

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 17 Dec 2015 07:36:45 +0100

ubuntu-make (15.12) xenial; urgency=medium

  * Fix JetBrain's based IDE due to their new website deployement:
    - Use now their API directly.
    - Adapt medium tests and assets to follow that new structure.
  * Add a deprecation warning on udtc command (will be removed after 16.04 LTS)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 11 Dec 2015 10:52:53 +0100



=== debian/tests/control ===
# Setup an ubuntu-desktop install which can logout and login
Tests: setup-testbed,
       pep8,
       small,
       medium,
       large,
       custom,
       collect-coverage,
Depends: @builddeps@,
         ubuntu-desktop,
         git,
         docker.io,
         sloccount,
         libjs-jquery,
         libjs-jquery-hotkeys,
         libjs-jquery-isonscreen,
         libjs-jquery-tablesorter,
Restrictions: rw-build-tree,
              isolation-machine,
              allow-stderr,

## ubuntu-make 16.05

=== debian/changelog ===
ubuntu-make (16.05) yakkety; urgency=medium

  [ Galileo Sartor ]
  * Fix Android-Studio and Android-SDK frameworks with newer website
  * Use github api for LightTable and superpowers frameworks
  * Add openjdk-8-jdk to android studio/sdk
  * Remove openjdk dependency for arduino

  [ Fabio Colella ]
  * Updated requirements for Netbeans to work on Xenial

  [ Jared Ravetch ]
  * Fix locale in tests

  [ Didier Roche ]
  * Done misc reviews on previous contributions
  * Change release hook to point to yakkety

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 04 May 2016 13:40:18 +0200

ubuntu-make (16.04) xenial; urgency=medium

  [ Galileo Sartor ]
  * Fix Xenial by adding an openjdk-8-jdk as a dependency to eclipse
    and intellij. (Fixes: #279)
  * Add language dependencies on IDEs specific to one language only
    (pycharm, rubymine…)

  [ Didier Roche ]
  * Write some future test strategy for pycharm/python medium tests

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 05 Apr 2016 09:24:55 +0200

ubuntu-make (16.03.2) xenial; urgency=medium

  * Fixup number for xenial

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 30 Mar 2016 09:15:03 +0200

ubuntu-make (16.03.1) xenial; urgency=medium

  * Fix test as python 3.5 downloader can return bigger size (on xenial)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 30 Mar 2016 08:59:37 +0200

ubuntu-make (16.03) xenial; urgency=medium

  [ Galileo Sartor ]
  * Add Eclipse JEE support
  * Add Intellij EAP support
  * Fix Unity3D on lts mesa
  * Fix VSCode license page due to server changes
  * Fix Android-NDK due to server changes
  * Fix Clang support due to server changes
  * Fix Intellij .desktop file
  * Add a "or" package logic to the dependency check and install
  * Remove jayatana from intellij
  * Adapt large and medium tests to those changes

  [ Tankypon ]
  * Add Superpowers game editor framework

  [ Omer Sheikh ]
  * Add Kotlin compiler support
  * Remove openjdk from datagrip requirements

  [ Eakkapat Pattarathamrong ]
  * Add more test for Visual Studio Code

  [ Almeida ]
  * Update pt_BR translation

  [ Didier Roche ]
  * Change StartupWMClass to match the one Android Studio creates
  * Fix EULA acceptance translations in pt
  * Add more tests on symlinks creation and removal
  * Fix and make more reliable test infrastructure + some cleanup logic
  * Adapt large and medium tests to those changes

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 30 Mar 2016 08:22:24 +0200

## ubuntu-make 16.11.1

=== debian/changelog ===
ubuntu-make (16.11.1) zesty; urgency=medium

  * Enable small tests passing on yakkety+ with a more modern trusted
    local repository layout.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 18 Nov 2016 12:08:37 +0100

ubuntu-make (16.11) zesty; urgency=medium

  [ Galileo Sartor ]
  * Removed jayatana dependency from android-studio
  * Change netbeans link
  * Support incorrect use of download_url when using GitHub API
  * Change superpowers repo

  [ Mehmet Keçeci ]
  * Update tr.po
  * Update ubuntu-make.pot

  [ Hannes De Valkeneer ]
  * Change netbeans checksum from md5 to sha256

  [ Michael Chou ]
  * Android Studio duplicate icons in launcher fix

  [ Trent Schafer ]
  * Update post install message for all frameworks when needing to relogging

  [ Wilsen Hernandez ]
  * Spanish translation strings updated

  [ Didier Roche ]
  * Fix regression where Exec wasn't pointing at the correct install path
    when using a custom location
  * Decompress even slightly corrupted tar files. (latest golang release
    can now be uncompressed)
  * Prepare for zesty releases

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 18 Nov 2016 09:31:22 +0100

ubuntu-make (16.09) yakkety; urgency=medium

  [ Galileo Sartor ]
  * Add Sublime Text 3 support
  * Add Atom Support
  * Fix node_modules folder setting for respecting npmrc and
    add Node LTS
  * Fix eclipse download url
  * Change eclipse download-keyword to avoid conflicts
  * Fix firefox-dev install and exec
  * Fix unity 3D url
  * Adapt to new VSCode binary path

  [ Igor Vuk ]
  * Fix a few typos in README.md

  [ neopi21 ]
  * French translation update

  [ Jared Ravetch ]
  * Update Rust download url, add SSL cert for static.rust-lang.org,
    update tests

  [ Didier Roche ]
  * Have autopkgtest depend on libjs-jquery-throttle-debounce

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Sep 2016 09:22:13 +0200

## ubuntu-make 16.11.1ubuntu1

=== requirements.txt ===
# runtime requirements
-e bzr+lp:python-apt/@0.9.3.5#egg=apt
argcomplete
beautifulsoup4
progressbar
pyyaml
requests
pyxdg
python-gnupg

# test tools
nose
nose-cov
nose-json
pep8
pexpect>=4.0

=== debian/changelog ===
ubuntu-make (16.11.1ubuntu1) artful; urgency=medium

  * Fix ZipFileWithPerm compatibility with internal 3.6 API.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Jul 2017 10:18:30 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                python3-argcomplete,
                python3-bs4,
                python3-gi,
+               python3-gnupg,
                python3-setuptools,
                python3-nose,
                python3-nose-cov,
@@ -21,6 +22,7 @@
                python3-xdg,
                dbus-x11,
                fakeroot,
+               help2man,
 Maintainer: Didier Roche <didrocks@ubuntu.com>
 Standards-Version: 3.9.6
 X-Python3-Version: >= 3.4
@@ -34,7 +36,7 @@
          python3-argcomplete,
          python3-bs4,
          python3-gi,
-         python3-pexpect,
+         python3-gnupg,
          python3-progressbar,
          python3-yaml,
          python3-requests,

=== debian/tests/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
          libjs-jquery-hotkeys,
          libjs-jquery-isonscreen,
          libjs-jquery-tablesorter,
+         libjs-jquery-throttle-debounce,
 Restrictions: rw-build-tree,
               isolation-machine,
               allow-stderr,

## ubuntu-make 18.09

=== debian/changelog ===
ubuntu-make (18.09) cosmic; urgency=medium

  [ Galileo Sartor ]
  * New upstream release (LP: #1794737) 
  * Add json parser to baseinstaller
  * Remove frameworks overriding base
  * android: Add Android Platform Tools
  * Fix frameworks

  [ Didier Roche ]
  * Ignore data files for incorrect language attribution
  * Enable autopkgtests on artful+

  [ Brendad McGrath ]
  * ide: Fix Eclipse checksum test

  [ Anton Patsev ]
  * ide: Add DBeaver support

 -- Galileo Sartor <galileo@moria>  Wed, 26 Sep 2018 11:37:20 +0200

ubuntu-make (18.05) cosmic; urgency=medium

  [ Galileo Sartor ]
  * Use symlinks for exec
  * games: Add Godot
  * games: Add GDevelop
  * games: Add Blender
  * games: Reenable Unity3D
  * electronics: Add category
  * electronics: Add Eagle
  * crystal: Add Crystal Lang
  * maven: add Maven
  * ide: Reenable Spring Tools
  * ide: Add Eclipse Javascript
  * ide: Add Atom Beta
  * ide: Add Processing
  * ide: Add GoLand
  * ide: Fix vscode dependencies (libgconf)
  * ide: Add vscode insiders
  * web: Add PhantomJS

  [ Kevin McCormack ]
  * web: Add StartupWMClass to firefox-dev

  [ Tito Brasolin ]
  * android: Add env variables to Android Studio

  [ Tankypon ]
  * Add Listing support

  [ Valerio Mariani ]
  * ide: Add StartupWMClass to Visual Studio Code

  [ Alexander Sidorenko ]
  * ide: Add Rider

  [ Ruoshi Li ]
  * fix clean exec_path

  And a lot more fixes!

 -- Galileo Sartor <galileo.sartor@gmail.com>  Mon, 14 May 2018 19:36:48 +0200

ubuntu-make (17.03) zesty; urgency=medium

  [ Galileo Sartor ]
  * Fix android sdk and android studio
  * Fix unity3D download page
  * Fix for never rust download page
  * Change phpstorm icon
  * Changed icon in rubymine to svg
  * Add apm to bin folder
  * Check when there is a failure if people are using the latest Ubuntu
    Make version. Direct them to the ppa otherwise.
  * Fix some tests
  * Return the pexpect reply so we can use multiple option expect
  * Add issue template

  [ Didier Roche ]
  * Add running from master instructions in issue template
  * Some small tests refactoring
  * Support running VCS umake version without being in root directory

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 10 Mar 2017 15:43:42 +0100

## ubuntu-make 18.09%2Bdisco1

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                python3,
                python3-apt,
                python3-argcomplete,
-               python3-bs4,
                python3-gi,
                python3-gnupg,
                python3-setuptools,
@@ -34,7 +33,6 @@
          ${python3:Depends},
          python3-apt,
          python3-argcomplete,
-         python3-bs4,
          python3-gi,
          python3-gnupg,
          python3-progressbar,

## ubuntu-make 18.09+disco1

=== requirements.txt ===
# runtime requirements
-e git://git.launchpad.net/python-apt@1.1.0_beta1#egg=apt
argcomplete
progressbar33
pyyaml
requests
pyxdg
python-gnupg

# test tools
nose
nose-cov
nose-json
pep8
pexpect>=4.0

=== debian/changelog ===
ubuntu-make (18.09+disco1) disco; urgency=medium

  * tests/small/test_download_center.py:
    - fix disco autopkgtests failing due to newer python.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 09 Jan 2019 10:58:33 +0100

=== tests/data/apt/testpackage/debian/changelog ===
testpackage (0.0.1) trusty; urgency=low

  * Initial release
  * Note: to add foo architecture, add it to:
    /usr/share/dpkg/cputable (copying your current arch line). And then:
    $ debuild -afoo

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 11 Jun 2014 14:00:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,12 @@
 
 override_dh_auto_test:
 	./runtests pep8 small
+
+override_dh_installman:
+	help2man -n "Deploy and setup developers environment easily on ubuntu" -o debian/umake.1 bin/umake
+	sed -i s/+unknown//g debian/umake.1
+	dh_installman
+
+override_dh_clean:
+	rm -f debian/umake.1
+	dh_clean

=== tests/data/apt/testpackage/debian/control ===
Source: testpackage
Section: misc
Priority: extra
Maintainer: Didier Roche <didrocks@ubuntu.com>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.5

Package: testpackage
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Dummy package for testing
 Package used for testing debs installation

Package: testpackage0
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Dummy package for testinga - other
 Package used for other testing debs installation

Package: testpackage1
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         testpackage,
Description: Dummy package for testing - dep
 Package used for testing debs installation with dep

Package: testpackage2
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: testpackage (<< 0.2),
Description: Dummy package for testing - breaks
 Package used for testing debs installation with break

Package: testpackagefoo
Architecture: foo
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Dummy package for testing - only available on foo
 Package used for testing debs installation

Package: testpackagearmhf
Architecture: armhf
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Dummy package for testing - only available on armhf
 Package used for testing debs installation
